Bug 157716 - Web Automation: WebAutomationSessionProxy.js gets injected more than once sometimes
Summary: Web Automation: WebAutomationSessionProxy.js gets injected more than once som...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Local Build
Hardware: All All
: P2 Normal
Assignee: Brian Burg
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2016-05-14 14:55 PDT by Brian Burg
Modified: 2016-05-16 11:08 PDT (History)
8 users (show)

See Also:


Attachments
Proposed Fix (2.31 KB, patch)
2016-05-15 20:45 PDT, Brian Burg
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2016-05-14 14:55:49 PDT
Seems to happen when making > 5 Automation.executeJavaScript calls.
Comment 1 Radar WebKit Bug Importer 2016-05-14 14:56:07 PDT
<rdar://problem/26287306>
Comment 2 Timothy Hatcher 2016-05-14 14:57:24 PDT
Maybe it is a frame? It gets injected for each frame as needed.
Comment 3 Brian Burg 2016-05-15 20:45:24 PDT
Created attachment 278994 [details]
Proposed Fix
Comment 4 WebKit Commit Bot 2016-05-16 11:08:50 PDT
Comment on attachment 278994 [details]
Proposed Fix

Clearing flags on attachment: 278994

Committed r200950: <http://trac.webkit.org/changeset/200950>
Comment 5 WebKit Commit Bot 2016-05-16 11:08:54 PDT
All reviewed patches have been landed.  Closing bug.